<app-loading *ngIf="isLoading"></app-loading>

<div class="org-content-main">
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbReadOnly]="true"
                     mbPlaceholderText="{{ 'modelOrganization.placeHoder.chooseUnit' | translate }}"
                     mbLabelText="{{ 'modelOrganization.label.org' | translate }}" (click)="showPopup()"></mb-input-text>
      <em
        *ngIf="orgName"
        nz-icon
        class="icon-close"
        (click)="clearOrgInput()"
        nzType="close-circle"
        nzTheme="outline"
      ></em>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                 mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}"
                 [mbOptionHeightPx]="55" [(ngModel)]="objectSearch.jobId">
      </mb-select>
    </div>

    <div nz-col [nzSpan]="6" class="org-content-main__radio">
      <nz-radio-group [(ngModel)]="objectSearch.type" [nzSize]="'large'">
        <label nz-radio nzValue="UNASSIGN">Chưa gán</label>
        <label nz-radio nzValue="ASSIGN">Đã gán</label>
      </nz-radio-group>
    </div>

    <div nz-col [nzSpan]="6" class="org-content-main__search">
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
                   (click)="onSearch()"
                   mbButtonText="{{'common.button.search' | translate}}">
        </mb-button>

        <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
          <img src="../../../../../assets/images/icon/excel.svg" alt="" />
        </mb-button>
    </div>
  </div>
</div>

<div class="table">
  <mb-table-merge-cell-wrap [mbTitle]="''" [nonBg]="true" [extra]="false">
    <mb-table-merge-cell  [nzWidthConfig]="nzWidthConfig" [nzScrollHeight]="'45vh'" [bordered]="false"
                          (changePageNum)="search($event)"
                         [tableConfig]='tableConfig' [dataList]='dataTable'></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<ng-template #actionTmpl let-pgrType='pgrType' let-parentId='parentId' let-orgId='orgId' let-pgrId='pgrId' let-pgrName='pgrName'>
  <mb-button mbButtonAvailableStyle='CONTENT' nz-tooltip [nzTooltipColor]="'#141ED2'" placement="bottom"
             (click)="assignPositon(pgrType, parentId, orgId, pgrId, pgrName)"
             nzTooltipTitle="{{'modelOrganization.toolTip.assignPosition' | translate}}">
    <img src="../../../../../assets/images/icon/assign-position.svg" alt='delete'>
  </mb-button>
</ng-template>
